import { base } from "@/service/base"
import { EventConfig } from "@/service/user_config"
import { Timeline } from "antd"
import { useEffect, useState } from "react"

const Things = (props) => {
    const { id } = props
    const [item, setItem] = useState([])
    useEffect(() => {
        base.get(EventConfig.ThingList + "/" + id, {}).then((e) => {
            setItem(e.data.record.map((item) => {
                return {
                    children: <div>
                        <p>事件名称：{item.name}</p>
                        <p>事件内容：{item.content}</p>
                        <p>事件影响：{item.effect}</p>
                        <p>事件描述：{item.desc}</p>
                        <p>事件地点：{item.address}</p>
                        <p>事件开始时间：{item.start_time}</p>
                        <p>事件结束呢时间：{item.end_time}</p>
                    </div>
                }
            }))
        });
    }, [id])
    return (
        <Timeline items={item} />
    )
}

export default Things