import DebounceSelect from "./featch_select";
import { base } from "@/service/base";
import SourceConfig from "@/service/source_config";
interface UserValue {
  label: string;
  value: string;
}
const Dumbselect = (props) => {
  async function fetchUserList(username: string): Promise<UserValue[]> {
    return base.get(SourceConfig.Searchs + "/?name=" + username, {}).then((res) => {
      return res.data.record.map((item) => ({
        label: item.content,
        value: item.identity,
      }));
    });
  }
  return (
    <DebounceSelect
      {...props}
      mode="multiple"
      fetchOptions={fetchUserList}
      style={{ width: "100%" }}
    />
  );
};

export default Dumbselect;
