import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { ShareConfig } from "@/service/user_config";

class ShareStore extends BaseStore<UserDataType> {
    constructor() {
        super(ShareConfig)
        makeObservable(this, {
        })
    }
}
const shareStore = new ShareStore();
export default shareStore;